<?php
/**
 * File containing the EzPublishLegacyExtension class.
 *
 * @copyright Copyright (C) 1999-2014 eZ Systems AS. All rights reserved.
 * @license http://ez.no/licenses/gnu_gpl GNU General Public License v2.0
 * @version 
 */

namespace eZ\Bundle\EzPublishLegacyBundle\DependencyInjection;

use Symfony\Component\HttpKernel\DependencyInjection\Extension;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Loader;
use Symfony\Component\Config\FileLocator;

class EzPublishLegacyExtension extends Extension
{
    /**
     * Loads a specific configuration.
     *
     * @param array $configs An array of configuration values
     * @param ContainerBuilder $container A ContainerBuilder instance
     *
     * @throws InvalidArgumentException When provided tag is not defined in this extension
     *
     * @api
     */
    public function load( array $configs, ContainerBuilder $container )
    {
        $configuration = new Configuration();
        $config = $this->processConfiguration( $configuration, $configs );

        $container->setParameter( 'ezpublish_legacy.enabled', $config['enabled'] );
        if ( $config['enabled'] )
        {
            $loader = new Loader\YamlFileLoader(
                $container,
                new FileLocator( __DIR__ . '/../Resources/config' )
            );
            $loader->load( 'services.yml' );
            // Security services
            $loader->load( 'security.yml' );

            $container->setParameter( 'ezpublish_legacy.root_dir', $config['root_dir'] );

            // Templating
            $loader->load( 'templating.yml' );

            // View
            $loader->load( 'view.yml' );

            // IO Services
            $loader->load( 'io.yml' );

            // Default settings
            $loader->load( 'default_settings.yml' );

            // SignalSlot settings
            $loader->load( 'slot.yml' );
        }
    }
}
