<?php
/**
 * File containing the VersatileScopeInterface class.
 *
 * @copyright Copyright (C) 1999-2014 eZ Systems AS. All rights reserved.
 * @license http://ez.no/licenses/gnu_gpl GNU General Public License v2.0
 * @version 
 */

namespace eZ\Publish\Core\MVC\Symfony\Configuration;

use eZ\Publish\Core\MVC\ConfigResolverInterface;

/**
 * Allows a ConfigResolver to dynamically change their default scope.
 */
interface VersatileScopeInterface extends ConfigResolverInterface
{
    /**
     * Returns current default scope.
     *
     * @return string
     */
    public function getDefaultScope();

    /**
     * Sets a new default scope.
     *
     * @param string $scope
     */
    public function setDefaultScope( $scope );
}
