<?php
/**
 * File containing the View\Provider\Block interface.
 *
 * @copyright Copyright (C) 1999-2014 eZ Systems AS. All rights reserved.
 * @license http://ez.no/licenses/gnu_gpl GNU General Public License v2.0
 * @version 
 */

namespace eZ\Publish\Core\MVC\Symfony\View\Provider;

use eZ\Publish\Core\FieldType\Page\Parts\Block as PageBlock;

/**
 * Interface for block view providers.
 *
 * Block view providers select a view for a given page block, depending on its own internal rules.
 * Such provider is meant to work along with Page field type.
 */
interface Block
{
    /**
     * Returns a ContentView object corresponding to $block, or null if not applicable
     *
     * @param \eZ\Publish\Core\FieldType\Page\Parts\Block $block
     *
     * @return \eZ\Publish\Core\MVC\Symfony\View\ContentView|void
     */
    public function getView( PageBlock $block );
}
