<?php
/**
 * File containing the RelationProcessor class.
 *
 * @copyright Copyright (C) 1999-2014 eZ Systems AS. All rights reserved.
 * @license http://ez.no/licenses/gnu_gpl GNU General Public License v2.0
 * @version 
 */

namespace eZ\Publish\Core\REST\Common\FieldTypeProcessor;

use eZ\Publish\Core\REST\Common\FieldTypeProcessor;
use eZ\Publish\Core\FieldType\Relation\Type;

class RelationProcessor extends FieldTypeProcessor
{
    /**
     * {@inheritDoc}
     */
    public function preProcessFieldSettingsHash( $incomingSettingsHash )
    {
        if ( isset( $incomingSettingsHash["selectionMethod"] ) )
        {
            switch ( $incomingSettingsHash["selectionMethod"] )
            {
                case 'SELECTION_BROWSE':
                    $incomingSettingsHash["selectionMethod"] = Type::SELECTION_BROWSE;
                    break;
                case 'SELECTION_DROPDOWN':
                    $incomingSettingsHash["selectionMethod"] = Type::SELECTION_DROPDOWN;
            }
        }

        return $incomingSettingsHash;
    }

    /**
     * {@inheritDoc}
     */
    public function postProcessFieldSettingsHash( $outgoingSettingsHash )
    {
        if ( isset( $outgoingSettingsHash["selectionMethod"] ) )
        {
            switch ( $outgoingSettingsHash["selectionMethod"] )
            {
                case Type::SELECTION_BROWSE:
                    $outgoingSettingsHash["selectionMethod"] = 'SELECTION_BROWSE';
                    break;
                case Type::SELECTION_DROPDOWN:
                    $outgoingSettingsHash["selectionMethod"] = 'SELECTION_DROPDOWN';
            }
        }

        return $outgoingSettingsHash;
    }
}
