<?php
/**
 * File containing the Root controller class
 *
 * @copyright Copyright (C) 1999-2014 eZ Systems AS. All rights reserved.
 * @license http://ez.no/licenses/gnu_gpl GNU General Public License v2.0
 * @version 
 */

namespace eZ\Publish\Core\REST\Server\Controller;

use eZ\Publish\Core\REST\Server\Values;
use eZ\Publish\Core\REST\Server\Controller as RestController;

/**
 * Root controller
 */
class Options extends RestController
{
    /**
     * Lists the verbs available for a resource
     * @param $allowedMethods string comma separated list of supported methods. Depends on the matched OPTIONS route.
     * @return Values\Options
     */
    public function getRouteOptions( $allowedMethods )
    {
        return new Values\Options( explode( ',', $allowedMethods ) );
    }
}
